Bug 1980029 - CI: openstacksdk 0.53 breaks UPI jobs
Summary: CI: openstacksdk 0.53 breaks UPI jobs
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 4.8
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: ---
: 4.9.0
Assignee: Martin André
QA Contact: Itzik Brown
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-07-07 15:51 UTC by Martin André
Modified: 2021-10-18 17:38 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-10-18 17:38:24 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift installer pull 5066 0 None open Bug 1980029: Pin openstacksdk 2021-07-09 08:10:23 UTC
Red Hat Product Errata RHSA-2021:3759 0 None None None 2021-10-18 17:38:42 UTC

Description Martin André 2021-07-07 15:51:06 UTC
e2e-openstack-upi job started failing with:


    TASK [Create master-sg rule "ICMP"] ********************************************
    fatal: [localhost]: FAILED! => {"changed": false, "msg": "BadRequestException: 400: Client Error for url: https://kaizen.massopen.cloud:13696/v2.0/security-group-rules, Unrecognized attribute(s) 'remote_address_group_id'"} 

This is caused by openstacksdk 0.53: https://storyboard.openstack.org/#!/story/2008577

https://prow.ci.openshift.org/view/gs/origin-ci-test/pr-logs/pull/openshift_installer/5052/pull-ci-openshift-installer-master-e2e-openstack-upi/1412398976677711872

Comment 5 errata-xmlrpc 2021-10-18 17:38:24 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.9.0 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:3759


Note You need to log in before you can comment on or make changes to this bug.